plugins {
    id 'java'
    id 'application'
    id 'org.openjfx.javafxplugin' version '0.0.8'
}

group 'de.siphalor'
version '1.0-SNAPSHOT'

sourceCompatibility = JavaVersion.VERSION_11
targetCompatibility = JavaVersion.VERSION_11

repositories {
    mavenCentral()
}

dependencies {
    compile "org.jetbrains:annotations:16.0.2"

    testImplementation('org.junit.jupiter:junit-jupiter:5.6.2')
}

javafx {
    version '14'
    modules = [ "javafx.controls", "javafx.graphics", "javafx.fxml" ]
}

test {
    useJUnitPlatform()
    testLogging {
        events "passed", "skipped", "failed"
    }
}

application {
    mainClassName = "de.siphalor.was.Start"
}

sourceSets {
    main {
        resources {
            exclude '**/*.svg'
        }
    }
}

jar {
    manifest {
        attributes(
                'Main-Class': 'de.siphalor.was.Start'
        )
    }
}

